airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AIRFLOW-1967) Update Celery version
Date Wed, 03 Jan 2018 17:21:05 GMT

    [ https://issues.apache.org/jira/browse/AIRFLOW-1967?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16309939#comment-16309939
] 

ASF subversion and git services commented on AIRFLOW-1967:
----------------------------------------------------------

Commit b9f4a7437e4228ec15c94ddaae55be9b7d92ef8f in incubator-airflow's branch refs/heads/master
from [~Fokko]
[ https://git-wip-us.apache.org/repos/asf?p=incubator-airflow.git;h=b9f4a74 ]

[AIRFLOW-1967] Update Celery to 4.0.2

Update Celery to 4.0.2 for fixing error
TypeError: '<=' not supported between instances of
'NoneType' and 'int'

Hi all,

I'd like to update Celery to version 4.0.2. While
updating my Docker container to version 1.9, I
caught this error:
```
worker_1     | [2018-01-03 10:34:29,934:
CRITICAL/MainProcess] Unrecoverable error:
TypeError("'<=' not supported between instances of
'NoneType' and 'int'",)
worker_1     | Traceback (most recent call last):
worker_1     |   File "/usr/local/lib/python3.6
/site-packages/celery/worker/worker.py", line 203,
in start
worker_1     |     self.blueprint.start(self)
worker_1     |   File "/usr/local/lib/python3.6
/site-packages/celery/bootsteps.py", line 115, in
start
worker_1     |     self.on_start()
worker_1     |   File "/usr/local/lib/python3.6
/site-packages/celery/apps/worker.py", line 143,
in on_start
worker_1     |     self.emit_banner()
worker_1     |   File "/usr/local/lib/python3.6
/site-packages/celery/apps/worker.py", line 159,
in emit_banner
worker_1     |
string(self.colored.reset(self.extra_info() or
'')),
worker_1     |   File "/usr/local/lib/python3.6
/site-packages/celery/apps/worker.py", line 188,
in extra_info
worker_1     |     if self.loglevel <=
logging.INFO:
worker_1     | TypeError: '<=' not supported
between instances of 'NoneType' and 'int'
```

This is because I've been running Python 2 in my
local environments, and the Docker image is Python
3:
https://github.com/puckel/docker-
airflow/pull/143/files

This is the issue in Celery:
https://github.com/celery/celery/blob/0dde9df9d8dd
5dbbb97ef75a81757bc2d9a4b33e/Changelog#L145

Make sure you have checked _all_ steps below.

### JIRA
- [x] My PR addresses the following [Airflow JIRA]
(https://issues.apache.org/jira/browse/AIRFLOW/)
issues and references them in the PR title. For
example, "[AIRFLOW-XXX] My Airflow PR"
    - https://issues.apache.org/jira/browse/AIRFLOW-
XXX

### Description
- [x] Here are some details about my PR, including
screenshots of any UI changes:

### Tests
- [x] My PR adds the following unit tests __OR__
does not need testing for this extremely good
reason:

### Commits
- [x] My commits all reference JIRA issues in
their subject lines, and I have squashed multiple
commits if they address the same issue. In
addition, my commits follow the guidelines from
"[How to write a good git commit
message](http://chris.beams.io/posts/git-
commit/)":
    1. Subject is separated from body by a blank line
    2. Subject is limited to 50 characters
    3. Subject does not end with a period
    4. Subject uses the imperative mood ("add", not
"adding")
    5. Body wraps at 72 characters
    6. Body explains "what" and "why", not "how"

- [x] Passes `git diff upstream/master -u --
"*.py" | flake8 --diff`

Closes #2914 from Fokko/AIRFLOW-1967-update-celery


> Update Celery version
> ---------------------
>
>                 Key: AIRFLOW-1967
>                 URL: https://issues.apache.org/jira/browse/AIRFLOW-1967
>             Project: Apache Airflow
>          Issue Type: Bug
>            Reporter: Fokko Driesprong
>
> I've been working on getting a new Docker image out with Airflow 1.9, but I ran into
problems with Celery 4.0.0, after updating to 4.0.2, the error disappeared:
> worker_1     | [2018-01-03 10:34:29,934: CRITICAL/MainProcess] Unrecoverable error: TypeError("'<='
not supported between instances of 'NoneType' and 'int'",)
> worker_1     | Traceback (most recent call last):
> worker_1     |   File "/usr/local/lib/python3.6/site-packages/celery/worker/worker.py",
line 203, in start
> worker_1     |     self.blueprint.start(self)
> worker_1     |   File "/usr/local/lib/python3.6/site-packages/celery/bootsteps.py", line
115, in start
> worker_1     |     self.on_start()
> worker_1     |   File "/usr/local/lib/python3.6/site-packages/celery/apps/worker.py",
line 143, in on_start
> worker_1     |     self.emit_banner()
> worker_1     |   File "/usr/local/lib/python3.6/site-packages/celery/apps/worker.py",
line 159, in emit_banner
> worker_1     |     string(self.colored.reset(self.extra_info() or '')),
> worker_1     |   File "/usr/local/lib/python3.6/site-packages/celery/apps/worker.py",
line 188, in extra_info
> worker_1     |     if self.loglevel <= logging.INFO:
> worker_1     | TypeError: '<=' not supported between instances of 'NoneType' and 'int'
> I've been running Celery in an undockerized setting, and then everything worked out fine.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message